package com.dayou.service.impl;

import com.dayou.entity.GlobalConfig;
import com.dayou.mapper.GlobalConfigMapper;
import com.dayou.service.IGlobalConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 全局配置 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2022-12-07
 */
@Service
public class GlobalConfigServiceImpl extends ServiceImpl<GlobalConfigMapper, GlobalConfig> implements IGlobalConfigService {

    private static final List<String> globalConfigExcelTitles= new ArrayList();

    static{
            globalConfigExcelTitles.add("键");
            globalConfigExcelTitles.add("");
            globalConfigExcelTitles.add("值");
            globalConfigExcelTitles.add("描述");
    }


    @Override
    @SuppressWarnings("unchecked")
    public Page<GlobalConfig> selectPage(Page page,GlobalConfig globalConfig){
        return this.page(page, new QueryWrapper<GlobalConfig>(globalConfig));
    }


    @Override
    public GlobalConfig detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(GlobalConfig globalConfig){
        return  this.save(globalConfig);
    }

    @Override
    public Boolean update(GlobalConfig globalConfig){
        return  this.updateById(globalConfig);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

}
